﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Anwendungen_des_Codebehinds {
   /// <summary>
   /// Interaktionslogik für MainWindow.xaml
   /// </summary>
   public partial class MainWindow : Window {
      public MainWindow() {
         InitializeComponent();
         this.Loaded += MainWindow_Loaded;
      }

      void MainWindow_Loaded(object sender, RoutedEventArgs e) {
         ViewModels.MainViewModel.Instance.Loaded();
      }

      private void ListView_DragEnter(object sender, DragEventArgs e) {
         e.Effects = DragDropEffects.Move;
      }

      private void ListView_Drop(object sender, DragEventArgs e) {
         if (e.Data.GetDataPresent(DataFormats.FileDrop)) {
            ViewModels.MainViewModel.Instance.Drop((string[])e.Data.GetData(DataFormats.FileDrop));
         }
      }

      private void TextBox_GotKeyboardFocus(object sender, KeyboardFocusChangedEventArgs e) {
         ((TextBox)sender).SelectAll();
      }

      private void TextBox_GotMouseCapture(object sender, MouseEventArgs e) {
         ((TextBox)sender).SelectAll();
      }
   }
}
